using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class JobController : MonoBehaviour {

	private static JobController instance;
	public static JobController Instance
	{
		get
		{
			if (instance == null) {
				instance = new JobController ();
			}
			return instance;
		}
	}

	private int powderMonkeyCount;
	private int PowderMonkeyLimit = 3;

	public void AppendPowderMonkeyCount()
	{
		powderMonkeyCount++;
	}

	public void RemovePowderMonkeyCount()
	{
		powderMonkeyCount = Mathf.Clamp(powderMonkeyCount--, 0, PowderMonkeyLimit);
	}

	public bool IsPowderMonkeyFull()
	{
		return PowderMonkeyLimit == powderMonkeyCount;
	}
}
